src.m.Service.Service(3)

NAME
src.m.Service.Service - Representation d'un Service de DreamPack.

SYNOPSIS

  Public Member Functions
def __init__
Constructeur d'un Service.
def id (self)
Propriete : id Service.
def typeService (self)
Propriete : TypeService du Service.
def placement (self)
Propriete : Placement associe au Service.
def dateService (self)
Propriete : date ou le Service doit etre realisé
def lieu (self)
Propriete : lieu ou le Service doit etre realisé
def info (self)
Propriete : information interessante pout l'admin pour un Service.
def estRealise (self)
Propriete : Retour si un Service a été réalisé du Service.
def doService (self)
Passe le Service comme realise.
def nonRealise (self)
Passe un Service a un etat de non realisé si le Client recupere sa Voiture avant que le Service est été réalisé
def maj (self, datetime, lieu)
mise a jour de infos de livraison
def __str__ (self)
Representation en chaine d'un Service.

  Static Public Member Functions
def getAllEnCours (parking)
Retourne tout les Service en cours dans le Parking parking.
def getAllServicePlacement (placement)
Retourne tout les Service associé a un Placement.

Detailed Description

Representation d'un Service de DreamPack.

Constructor & Destructor Documentation

  def src.m.Service.Service.__init__ ( self, id, client = None, placement = None, typeService = None, dateService = 'NULL', lieu = '')

Constructeur d'un Service.

Parameters:
    id Si None : Cree un Service dans la BD Sinon : tentative de récupération du Service avec cet id dans la bd
    client Si creation : Client associe au Service
    placement Si creation : Placement associe au Service
    typeService Si creation : TypeService du Service
    dateService Si creation : date ou sera realise le service si necessaire
    lieu Si creation : lieu ou realise le service si necessaire

Member Function Documentation

  def src.m.Service.Service.getAllEnCours ( parking) [static]

Retourne tout les Service en cours dans le Parking parking.

Parameters:
    parking Parking dont on veut connaitre les Service

Returns:
    Liste Service en cours

  def src.m.Service.Service.getAllServicePlacement ( placement) [static]

Retourne tout les Service associé a un Placement.

Parameters:
    parking Parking dont on veut connaitre les services

Returns:
    Liste Service associé a un Placement

Author

Generated automatically by Doxygen for Dream Park from the source code.